Skip to main content
POST
/
api
/
accounts
Create an account
curl --request POST \
  --url https://clarus-api.com/api/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "accounts",
    "attributes": {
      "code": "<string>",
      "name": "<string>",
      "is_active": true,
      "external_system_reference1": "<string>",
      "external_system_reference2": "<string>",
      "external_system_reference3": "<string>",
      "string1": "<string>",
      "string2": "<string>",
      "string3": "<string>",
      "string4": "<string>",
      "string5": "<string>",
      "integer1": 123,
      "integer2": 123,
      "integer3": 123,
      "integer4": 123,
      "integer5": 123,
      "datetime1": "2023-11-07T05:31:56Z",
      "datetime2": "2023-11-07T05:31:56Z",
      "datetime3": "2023-11-07T05:31:56Z",
      "datetime4": "2023-11-07T05:31:56Z",
      "datetime5": "2023-11-07T05:31:56Z",
      "boolean1": true,
      "boolean2": true,
      "boolean3": true,
      "boolean4": true,
      "boolean5": true
    }
  }
}
'
{
  "data": {
    "id": 123,
    "type": "accounts",
    "attributes": {
      "code": "<string>",
      "name": "<string>",
      "is_active": true,
      "external_system_reference1": "<string>",
      "external_system_reference2": "<string>",
      "external_system_reference3": "<string>",
      "string1": "<string>",
      "string2": "<string>",
      "string3": "<string>",
      "string4": "<string>",
      "string5": "<string>",
      "integer1": 123,
      "integer2": 123,
      "integer3": 123,
      "integer4": 123,
      "integer5": 123,
      "datetime1": "2023-11-07T05:31:56Z",
      "datetime2": "2023-11-07T05:31:56Z",
      "datetime3": "2023-11-07T05:31:56Z",
      "datetime4": "2023-11-07T05:31:56Z",
      "datetime5": "2023-11-07T05:31:56Z",
      "boolean1": true,
      "boolean2": true,
      "boolean3": true,
      "boolean4": true,
      "boolean5": true
    }
  }
}

Request Structure

{
  "data": {
    "type": "accounts",
    "attributes": {
      "code": "ACME",
      "name": "Acme Corporation",
      "email": "[email protected]",
      "is_active": true
    }
  }
}

Key Fields

FieldRequiredDescription
codeYesUnique account code
nameYesAccount display name
emailNoPrimary contact email
is_activeNoWhether account is active (default: true)

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
data
object
required

Response

Account created successfully

data
object